library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

entity DAC_DDR_IO_Bench is 
end DAC_DDR_IO_Bench;

architecture Behavioral of DAC_DDR_IO_Bench is

component DAC_DDR_IO is Port(
	CLK100: in std_logic;
	--- DAC IO ---
	D: out std_logic_vector(15 downto 0);
	IQSEL: out std_logic;
	DCO: in std_logic);
end component;

signal CLK100: std_logic:='0';
signal D: std_logic_vector(15 downto 0):=x"0000";
signal IQSEL: std_logic:='0';
signal DAC_CLK: std_logic:='0';
signal DCO: std_logic:='0';

begin

CLK100 <= not CLK100 after 2.5 ns;
DAC_CLK <= not DAC_CLK after 2 ns;
DCO <= transport DAC_CLK after 2.2 ns;

UUT: DAC_DDR_IO port map(
	CLK100 => CLK100,
	--- DAC IO ---
	D => D,
	IQSEL => IQSEL,
	DCO => DCO);

end Behavioral;