// Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
// --------------------------------------------------------------------------------
// Tool Version: Vivado v.2018.3 (win64) Build 2405991 Thu Dec  6 23:38:27 MST 2018
// Date        : Wed Jan  8 12:59:27 2020
// Host        : Buheitel-T480s running 64-bit major release  (build 9200)
// Command     : write_verilog -force -mode funcsim
//               d:/vhdl/DAC_DDR_IO/DAC_DDR_IO.srcs/sources_1/ip/selectio_wiz_0/selectio_wiz_0_sim_netlist.v
// Design      : selectio_wiz_0
// Purpose     : This verilog netlist is a functional simulation representation of the design and should not be modified
//               or synthesized. This netlist cannot be used for SDF annotated simulation.
// Device      : xc7s50ftgb196-2
// --------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* DEV_W = "32" *) (* SYS_W = "16" *) 
(* NotValidForBitStream *)
module selectio_wiz_0
   (data_out_from_device,
    data_out_to_pins,
    clk_to_pins,
    delay_locked,
    ref_clock,
    clk_in,
    clk_out,
    clk_reset,
    io_reset);
  input [31:0]data_out_from_device;
  output [15:0]data_out_to_pins;
  output clk_to_pins;
  output delay_locked;
  input ref_clock;
  input clk_in;
  output clk_out;
  input clk_reset;
  input io_reset;

  (* IBUF_LOW_PWR *) (* IOSTANDARD = "LVCMOS33" *) wire clk_in;
  wire clk_out;
  wire clk_reset;
  (* DRIVE = "12" *) (* IOSTANDARD = "LVCMOS33" *) (* SLEW = "SLOW" *) wire clk_to_pins;
  wire [31:0]data_out_from_device;
  (* DRIVE = "12" *) (* IOSTANDARD = "LVCMOS33" *) (* SLEW = "SLOW" *) wire [15:0]data_out_to_pins;
  wire delay_locked;
  wire io_reset;
  wire ref_clock;

  (* DEV_W = "32" *) 
  (* SYS_W = "16" *) 
  selectio_wiz_0_selectio_wiz_0_selectio_wiz inst
       (.clk_in(clk_in),
        .clk_out(clk_out),
        .clk_reset(clk_reset),
        .clk_to_pins(clk_to_pins),
        .data_out_from_device(data_out_from_device),
        .data_out_to_pins(data_out_to_pins),
        .delay_locked(delay_locked),
        .io_reset(io_reset),
        .ref_clock(ref_clock));
endmodule

(* DEV_W = "32" *) (* ORIG_REF_NAME = "selectio_wiz_0_selectio_wiz" *) (* SYS_W = "16" *) 
module selectio_wiz_0_selectio_wiz_0_selectio_wiz
   (data_out_from_device,
    data_out_to_pins,
    clk_to_pins,
    delay_locked,
    ref_clock,
    clk_in,
    clk_out,
    clk_reset,
    io_reset);
  input [31:0]data_out_from_device;
  output [15:0]data_out_to_pins;
  output clk_to_pins;
  output delay_locked;
  input ref_clock;
  input clk_in;
  output clk_out;
  input clk_reset;
  input io_reset;

  wire clk_fwd_out;
  wire clk_in;
  wire clk_in_int;
  wire clk_in_int_delay;
  wire clk_out;
  wire clk_reset;
  wire clk_to_pins;
  wire [31:0]data_out_from_device;
  wire [15:0]data_out_to_pins;
  wire [15:0]data_out_to_pins_int;
  wire delay_locked;
  wire io_reset;
  wire ref_clock;
  wire ref_clock_bufg;
  wire [4:0]NLW_idelaye2_clk_CNTVALUEOUT_UNCONNECTED;
  wire NLW_oddr_inst_S_UNCONNECTED;
  wire \NLW_pins[0].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[10].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[11].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[12].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[13].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[14].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[15].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[1].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[2].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[3].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[4].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[5].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[6].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[7].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[8].oddr_inst_S_UNCONNECTED ;
  wire \NLW_pins[9].oddr_inst_S_UNCONNECTED ;

  (* BOX_TYPE = "PRIMITIVE" *) 
  BUFR #(
    .BUFR_DIVIDE("BYPASS"),
    .SIM_DEVICE("7SERIES")) 
    clkout_buf_inst
       (.CE(1'b1),
        .CLR(1'b0),
        .I(clk_in_int_delay),
        .O(clk_out));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* IODELAY_GROUP = "selectio_wiz_0_group" *) 
  IDELAYCTRL #(
    .SIM_DEVICE("7SERIES")) 
    delayctrl
       (.RDY(delay_locked),
        .REFCLK(ref_clock_bufg),
        .RST(io_reset));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  (* IBUF_DELAY_VALUE = "0" *) 
  (* IFD_DELAY_VALUE = "AUTO" *) 
  IBUF ibuf_clk_inst
       (.I(clk_in),
        .O(clk_in_int));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* IODELAY_GROUP = "selectio_wiz_0_group" *) 
  (* SIM_DELAY_D = "0" *) 
  IDELAYE2 #(
    .CINVCTRL_SEL("FALSE"),
    .DELAY_SRC("IDATAIN"),
    .HIGH_PERFORMANCE_MODE("FALSE"),
    .IDELAY_TYPE("FIXED"),
    .IDELAY_VALUE(8),
    .IS_C_INVERTED(1'b0),
    .IS_DATAIN_INVERTED(1'b0),
    .IS_IDATAIN_INVERTED(1'b0),
    .PIPE_SEL("FALSE"),
    .REFCLK_FREQUENCY(200.000000),
    .SIGNAL_PATTERN("CLOCK")) 
    idelaye2_clk
       (.C(1'b0),
        .CE(1'b0),
        .CINVCTRL(1'b0),
        .CNTVALUEIN({1'b0,1'b0,1'b0,1'b0,1'b0}),
        .CNTVALUEOUT(NLW_idelaye2_clk_CNTVALUEOUT_UNCONNECTED[4:0]),
        .DATAIN(1'b0),
        .DATAOUT(clk_in_int_delay),
        .IDATAIN(clk_in_int),
        .INC(1'b0),
        .LD(io_reset),
        .LDPIPEEN(1'b0),
        .REGRST(1'b0));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF obuf_inst
       (.I(clk_fwd_out),
        .O(clk_to_pins));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    oddr_inst
       (.C(clk_out),
        .CE(1'b1),
        .D1(1'b1),
        .D2(1'b0),
        .Q(clk_fwd_out),
        .R(clk_reset),
        .S(NLW_oddr_inst_S_UNCONNECTED));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[0].obuf_inst 
       (.I(data_out_to_pins_int[0]),
        .O(data_out_to_pins[0]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[0].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[0]),
        .D2(data_out_from_device[16]),
        .Q(data_out_to_pins_int[0]),
        .R(io_reset),
        .S(\NLW_pins[0].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[10].obuf_inst 
       (.I(data_out_to_pins_int[10]),
        .O(data_out_to_pins[10]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[10].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[10]),
        .D2(data_out_from_device[26]),
        .Q(data_out_to_pins_int[10]),
        .R(io_reset),
        .S(\NLW_pins[10].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[11].obuf_inst 
       (.I(data_out_to_pins_int[11]),
        .O(data_out_to_pins[11]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[11].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[11]),
        .D2(data_out_from_device[27]),
        .Q(data_out_to_pins_int[11]),
        .R(io_reset),
        .S(\NLW_pins[11].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[12].obuf_inst 
       (.I(data_out_to_pins_int[12]),
        .O(data_out_to_pins[12]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[12].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[12]),
        .D2(data_out_from_device[28]),
        .Q(data_out_to_pins_int[12]),
        .R(io_reset),
        .S(\NLW_pins[12].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[13].obuf_inst 
       (.I(data_out_to_pins_int[13]),
        .O(data_out_to_pins[13]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[13].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[13]),
        .D2(data_out_from_device[29]),
        .Q(data_out_to_pins_int[13]),
        .R(io_reset),
        .S(\NLW_pins[13].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[14].obuf_inst 
       (.I(data_out_to_pins_int[14]),
        .O(data_out_to_pins[14]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[14].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[14]),
        .D2(data_out_from_device[30]),
        .Q(data_out_to_pins_int[14]),
        .R(io_reset),
        .S(\NLW_pins[14].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[15].obuf_inst 
       (.I(data_out_to_pins_int[15]),
        .O(data_out_to_pins[15]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[15].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[15]),
        .D2(data_out_from_device[31]),
        .Q(data_out_to_pins_int[15]),
        .R(io_reset),
        .S(\NLW_pins[15].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[1].obuf_inst 
       (.I(data_out_to_pins_int[1]),
        .O(data_out_to_pins[1]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[1].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[1]),
        .D2(data_out_from_device[17]),
        .Q(data_out_to_pins_int[1]),
        .R(io_reset),
        .S(\NLW_pins[1].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[2].obuf_inst 
       (.I(data_out_to_pins_int[2]),
        .O(data_out_to_pins[2]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[2].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[2]),
        .D2(data_out_from_device[18]),
        .Q(data_out_to_pins_int[2]),
        .R(io_reset),
        .S(\NLW_pins[2].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[3].obuf_inst 
       (.I(data_out_to_pins_int[3]),
        .O(data_out_to_pins[3]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[3].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[3]),
        .D2(data_out_from_device[19]),
        .Q(data_out_to_pins_int[3]),
        .R(io_reset),
        .S(\NLW_pins[3].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[4].obuf_inst 
       (.I(data_out_to_pins_int[4]),
        .O(data_out_to_pins[4]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[4].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[4]),
        .D2(data_out_from_device[20]),
        .Q(data_out_to_pins_int[4]),
        .R(io_reset),
        .S(\NLW_pins[4].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[5].obuf_inst 
       (.I(data_out_to_pins_int[5]),
        .O(data_out_to_pins[5]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[5].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[5]),
        .D2(data_out_from_device[21]),
        .Q(data_out_to_pins_int[5]),
        .R(io_reset),
        .S(\NLW_pins[5].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[6].obuf_inst 
       (.I(data_out_to_pins_int[6]),
        .O(data_out_to_pins[6]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[6].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[6]),
        .D2(data_out_from_device[22]),
        .Q(data_out_to_pins_int[6]),
        .R(io_reset),
        .S(\NLW_pins[6].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[7].obuf_inst 
       (.I(data_out_to_pins_int[7]),
        .O(data_out_to_pins[7]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[7].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[7]),
        .D2(data_out_from_device[23]),
        .Q(data_out_to_pins_int[7]),
        .R(io_reset),
        .S(\NLW_pins[7].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[8].obuf_inst 
       (.I(data_out_to_pins_int[8]),
        .O(data_out_to_pins[8]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[8].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[8]),
        .D2(data_out_from_device[24]),
        .Q(data_out_to_pins_int[8]),
        .R(io_reset),
        .S(\NLW_pins[8].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* CAPACITANCE = "DONT_CARE" *) 
  OBUF \pins[9].obuf_inst 
       (.I(data_out_to_pins_int[9]),
        .O(data_out_to_pins[9]));
  (* BOX_TYPE = "PRIMITIVE" *) 
  (* OPT_MODIFIED = "MLO " *) 
  (* __SRVAL = "FALSE" *) 
  ODDR #(
    .DDR_CLK_EDGE("SAME_EDGE"),
    .INIT(1'b0),
    .IS_C_INVERTED(1'b0),
    .IS_D1_INVERTED(1'b0),
    .IS_D2_INVERTED(1'b0),
    .SRTYPE("ASYNC")) 
    \pins[9].oddr_inst 
       (.C(clk_out),
        .CE(1'b1),
        .D1(data_out_from_device[9]),
        .D2(data_out_from_device[25]),
        .Q(data_out_to_pins_int[9]),
        .R(io_reset),
        .S(\NLW_pins[9].oddr_inst_S_UNCONNECTED ));
  (* BOX_TYPE = "PRIMITIVE" *) 
  BUFG ref_clk_bufg
       (.I(ref_clock),
        .O(ref_clock_bufg));
endmodule
`ifndef GLBL
`define GLBL
`timescale  1 ps / 1 ps

module glbl ();

    parameter ROC_WIDTH = 100000;
    parameter TOC_WIDTH = 0;

//--------   STARTUP Globals --------------
    wire GSR;
    wire GTS;
    wire GWE;
    wire PRLD;
    tri1 p_up_tmp;
    tri (weak1, strong0) PLL_LOCKG = p_up_tmp;

    wire PROGB_GLBL;
    wire CCLKO_GLBL;
    wire FCSBO_GLBL;
    wire [3:0] DO_GLBL;
    wire [3:0] DI_GLBL;
   
    reg GSR_int;
    reg GTS_int;
    reg PRLD_int;

//--------   JTAG Globals --------------
    wire JTAG_TDO_GLBL;
    wire JTAG_TCK_GLBL;
    wire JTAG_TDI_GLBL;
    wire JTAG_TMS_GLBL;
    wire JTAG_TRST_GLBL;

    reg JTAG_CAPTURE_GLBL;
    reg JTAG_RESET_GLBL;
    reg JTAG_SHIFT_GLBL;
    reg JTAG_UPDATE_GLBL;
    reg JTAG_RUNTEST_GLBL;

    reg JTAG_SEL1_GLBL = 0;
    reg JTAG_SEL2_GLBL = 0 ;
    reg JTAG_SEL3_GLBL = 0;
    reg JTAG_SEL4_GLBL = 0;

    reg JTAG_USER_TDO1_GLBL = 1'bz;
    reg JTAG_USER_TDO2_GLBL = 1'bz;
    reg JTAG_USER_TDO3_GLBL = 1'bz;
    reg JTAG_USER_TDO4_GLBL = 1'bz;

    assign (strong1, weak0) GSR = GSR_int;
    assign (strong1, weak0) GTS = GTS_int;
    assign (weak1, weak0) PRLD = PRLD_int;

    initial begin
	GSR_int = 1'b1;
	PRLD_int = 1'b1;
	#(ROC_WIDTH)
	GSR_int = 1'b0;
	PRLD_int = 1'b0;
    end

    initial begin
	GTS_int = 1'b1;
	#(TOC_WIDTH)
	GTS_int = 1'b0;
    end

endmodule
`endif
